From: David Edmondson <dme@dme.org>
To: notmuch@notmuchmail.org
Subject: [PATCH 1/4] test: Add `test_emacs_expect_t'.
Date: Tue, 17 Jan 2012 12:52:25 +0000 [thread overview]
Message-ID: <1326804748-8989-2-git-send-email-dme@dme.org> (raw)
In-Reply-To: <1326804748-8989-1-git-send-email-dme@dme.org>
Add a new test function to allow simpler testing of emacs
functionality.
`test_emacs_expect_t' takes two arguments:
- the name of the test,
- some lisp to evaluate.
The test passes if the lisp returns `t', otherwise it fails and the
output is reported to the tester.
---
test/emacs-test-functions.sh | 8 ++++++++
test/notmuch-test | 1 +
test/test-lib.sh | 24 ++++++++++++++++++++++++
3 files changed, 33 insertions(+), 0 deletions(-)
create mode 100755 test/emacs-test-functions.sh
diff --git a/test/emacs-test-functions.sh b/test/emacs-test-functions.sh
new file mode 100755
index 0000000..969cc78
--- /dev/null
+++ b/test/emacs-test-functions.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+test_description="emacs test function sanity"
+. test-lib.sh
+
+test_emacs_expect_t "emacs test function sanity" 't'
+
+test_done
diff --git a/test/notmuch-test b/test/notmuch-test
index 6a99ae3..d034f99 100755
--- a/test/notmuch-test
+++ b/test/notmuch-test
@@ -52,6 +52,7 @@ TESTS="
python
hooks
argument-parsing
+ emacs-test-functions.sh
"
TESTS=${NOTMUCH_TESTS:=$TESTS}
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 7c9ce24..15da973 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -503,6 +503,30 @@ test_expect_equal_file ()
fi
}
+test_emacs_expect_t () {
+ test "$#" = 2 || error "bug in the test script: not 2 parameters to test_emacs_expect_t"
+ test_reset_state_
+ if ! test_skip "$1"
+ then
+ # We cannot call 'test_emacs' in a subshell, because
+ # the setting of EMACS_SERVER would not persist
+ # throughout a sequence of tests, so we use a
+ # temporary file.
+ tmp="$TMPDIR"; if [ -z "$tmp" ]; then tmp=/tmp; fi
+ output="$tmp/test_emacs_output.$$"
+ test_emacs "$2" >"${output}"
+ result=$(cat "${output}")
+ rm -f "${output}"
+
+ if [ "$result" == t ]
+ then
+ test_ok_ "$1"
+ else
+ test_failure_ "$1" "$(eval printf ${result})"
+ fi
+ fi
+}
+
NOTMUCH_NEW ()
{
notmuch new | grep -v -E -e '^Processed [0-9]*( total)? file|Found [0-9]* total file'
--
1.7.7.3
next prev parent reply other threads:[~2012-01-17 12:52 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-01-17 12:52 emacs based tests, version 3 David Edmondson
2012-01-17 12:52 ` David Edmondson [this message]
2012-01-17 13:09 ` [PATCH 1/4] test: Add `test_emacs_expect_t' Dmitry Kurochkin
2012-01-17 13:24 ` David Edmondson
2012-01-17 14:07 ` [PATCH 1/3] test: Don't return the result of checking for running emacs to the tester David Edmondson
2012-01-17 14:07 ` [PATCH 2/3] test: Add `test_emacs_expect_t' David Edmondson
2012-01-17 14:26 ` Dmitry Kurochkin
2012-01-17 14:35 ` David Edmondson
2012-01-17 14:43 ` Dmitry Kurochkin
[not found] ` <87zkdmwfi7.fsf@gmail.com>
2012-01-17 15:09 ` David Edmondson
2012-01-18 9:09 ` Tomi Ollila
2012-01-18 14:55 ` Tomi Ollila
2012-01-19 9:59 ` David Edmondson
2012-01-19 10:32 ` Tomi Ollila
2012-01-19 10:42 ` David Edmondson
2012-01-19 11:01 ` Tomi Ollila
2012-01-19 12:54 ` [PATCH 1/3] test: Don't return the result of checking for running emacs to the tester David Edmondson
2012-01-19 12:54 ` [PATCH 2/3] test: Add `test_emacs_expect_t' David Edmondson
2012-01-23 11:47 ` David Edmondson
2012-01-23 16:45 ` Dmitry Kurochkin
2012-01-19 12:54 ` [PATCH 3/3] test: Add address cleaning tests David Edmondson
2012-01-23 17:26 ` Dmitry Kurochkin
2012-01-23 16:32 ` [PATCH 1/3] test: Don't return the result of checking for running emacs to the tester Dmitry Kurochkin
2012-01-17 14:07 ` [PATCH 3/3] test: Add address cleaning tests David Edmondson
2012-01-17 14:20 ` [PATCH 1/3] test: Don't return the result of checking for running emacs to the tester Dmitry Kurochkin
2012-01-17 14:37 ` David Edmondson
2012-01-17 14:51 ` Dmitry Kurochkin
2012-01-23 18:05 ` [PATCH 1/4 v42] " David Edmondson
2012-01-23 18:05 ` [PATCH 2/4 v42] test: Add `test_emacs_expect_t' David Edmondson
2012-01-24 15:24 ` Dmitry Kurochkin
2012-01-23 18:05 ` [PATCH 3/4 v42] test: Add more helpers for emacs tests David Edmondson
2012-01-24 15:45 ` Dmitry Kurochkin
2012-01-24 15:54 ` David Edmondson
2012-01-23 18:05 ` [PATCH 4/4 v42] test: Add address cleaning tests David Edmondson
2012-01-24 15:35 ` Dmitry Kurochkin
2012-01-24 15:20 ` [PATCH 1/4 v42] test: Don't return the result of checking for running emacs to the tester Dmitry Kurochkin
2012-01-24 16:14 ` [PATCH 0/4 v43] emacs test helpers David Edmondson
2012-01-24 16:14 ` [PATCH 1/4 v43] test: Don't return the result of checking for running emacs to the tester David Edmondson
2012-01-24 16:14 ` [PATCH 2/4 v43] test: Add `test_emacs_expect_t' David Edmondson
2012-01-24 16:14 ` [PATCH 3/4 v43] test: Add more helpers for emacs tests David Edmondson
2012-01-24 16:14 ` [PATCH 4/4 v43] test: Add address cleaning tests David Edmondson
2012-01-24 16:19 ` [PATCH 0/4 v43] emacs test helpers Dmitry Kurochkin
2012-01-24 20:13 ` Tomi Ollila
2012-01-25 11:33 ` David Bremner
2012-01-17 12:52 ` [PATCH 2/4] test: Add address cleaning tests David Edmondson
2012-01-17 13:11 ` Dmitry Kurochkin
2012-01-17 13:23 ` David Edmondson
2012-01-17 12:52 ` [PATCH 3/4] emacs: Avoid `mail-header-parse-address' in `notmuch-show-clean-address' David Edmondson
2012-01-17 12:52 ` [PATCH 4/4] emacs: Another special case for `notmuch-show-clean-address' David Edmondson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: https://notmuchmail.org/
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1326804748-8989-2-git-send-email-dme@dme.org \
--to=dme@dme.org \
--cc=notmuch@notmuchmail.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://yhetil.org/notmuch.git/
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).